% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summarize.R
\name{summarizeFeatures}
\alias{summarizeFeatures}
\title{Summarization for one site}
\usage{
summarizeFeatures(df, method = "tmp")
}
\arguments{
\item{df}{A data frame with columns of \code{run}, \code{feature}, and
\code{log2inty}.}

\item{method}{A string defining the summarization method. Default is
\code{"tmp"}, which applies Tukey's median polish. Other methods include
log2 of the sum of intensity (\code{"logsum"}), and mean (\code{"mean"}),
median (\code{"median"}) and max (\code{"max"}) of the log2-intensities.}
}
\value{
A tibble restoring one summarized value per MS run.
}
\description{
\code{summarizeFeatures} summarizes feature log2-intensities for a PTM site
and returns one summarized value per run. Tukey's median polish is used by
default.
}
\examples{
df <- data.frame(
    run=c("a", "a", "a", "b", "b"),
    feature=c("F1", "F2", "F3", "F1", "F3"),
    log2inty=rnorm(5)
)
summarizeFeatures(df, method="tmp")

}
